### Method

# GLib Sequence prepend

since: 2.14

#### Declaration

    GSequenceIter*
    g_sequence_prepend (
      GSequence* seq,
      gpointer data
    )

#### Description

Adds a new item to the front of `seq`.

Available since: 2.14

#### Parameters

`data`

  Type: `gpointer`

  The data for the new item.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `GSequenceIter`

An iterator pointing to the new item.

The data is owned by the instance.